runtest(1)

NAME
runtest - DejaGnu test driver

SYNOPSIS
runtest [OPTION]...

DESCRIPTION
DejaGnu is a framework for testing programs using Expect. runtest is the driver program for DejaGnu. It controls what tests to run and how to run them.

OPTIONS

--all
    Output all test results. By default, only unexpected results are displayed.

--debug
    Turn on expect internal debugging output. The output is logged to a file called dbg.log.

--build TRIPLET
    The configuration TRIPLET for the build system.

--directory DIRECTORY
    Run only tests in the specified DIRECTORY.

--help
    Prints out a help screen and then exits.

--host TRIPLET
    The configuration TRIPLET for the host system.

--host_board NAME
    The host board defintion to use.

--ignore test1.exp test2.exp ...
    Do not run the specified tests.

--mail 'name1 name2 ...'
    Electronic mail addresses to receive test results.

--name HOSTNAME
    The network HOSTNAME of the target board.

--objdir PATH
    PATH is a directory containing compiled test code.

--outdir DIRECTORY
    The name of a DIRECTORY for test log output.

--reboot
    Reboot the target board when runtest initializes (if supported).

--srcdir PATH
    PATH is a directory containing test directories.

--status
    Set the exit status to fail on Tcl errors.

--strace N
    Turns on expect internal tracing to N levels deep. The output is logged to a file called dbg.log.

--target TRIPLET
    The configuration TRIPLET for the target.

--target_board NAME
    A list of target board NAMEs to run tests on.

--tool TOOLNAME
    Specify the tool to be tested. TOOLNAME controls the test suite applied, and the associated initialization module.

--tool_exec PATH
    Specify the PATH to the executable to test.

--tool_opts OPTIONS
    Additional OPTIONS to pass to the tool.

--verbose, -v
    Turns on more debugging output from test cases and DejaGnu utility code. Use more than once to increase output further.

--version, -V
    Prints out the versions of DejaGnu, Expect and Tcl.

--xml[=FILE], -x
    Generate XML output. FILE is optional; if given it is the name of the output file. If not given, the output file is named after the tool.

-D[number]
    Activate the Tcl debugger. number can be either 1 or 0. If it is 1, then the expect shell will break when it starts to run. The interrupt key will cause DejaGnu to drop to the debugger prompt. If it is 0, DejaGnu starts as usual, but a ^C drops to the debugger prompt.

Any file name on the command line is assumed to be a subset of the
    test names to run. Usually these are the names of the test scripts (eg. foo.exp). Makefile-style variables are used to specify tool names and their flags; these and other configuration dependent values are saved in the file site.exp, created during configuration.

EXIT CODES
runtest sets the exit code to 1 if any of the tests failed, or sets it to 0 if all the tests passed.

AUTHOR
Rob Savoye (rob@welcomehome.org)

REPORTING BUGS
Report bugs to <bug-dejagnu@gnu.org>.

COPYRIGHT
Copyright © 2005, 2007, 2008 Free Software Foundation, Inc.
This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for DejaGnu is maintained as a Docbook manual. If the info program is properly installed at your site, the command

    info dejagnu

should give you access to the complete manual.